You are not logged in.

#1 2012-10-12 16:07:17

upmauro
Member
From: Brazil, MG, Uberlândia
Registered: 2011-10-02
Posts: 7
Website

Help NVIDIA-Linux-x86_64-304.51 and GeForce GT 630M

[root@upmauro-casa ~]# uname -a
Linux upmauro-casa 3.5.6-1-ARCH #1 SMP PREEMPT Sun Oct 7 19:30:49 CEST 2012 x86_64 GNU/Linux

I have installed the NVIDIA-Linux-x86_64-304.51,

http://www.nvidia.in/content/DriverDown … pe=GeForce

My VGA IS

[root@upmauro-casa ~]# lspci | grep -i VGA
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09)
01:00.0 VGA compatible controller: NVIDIA Corporation GF108 [GeForce GT 630M] (rev a1)

My Xorg.0.log shows

[    10.664] (II) Loading extension XFree86-DRI
[    10.664] (II) LoadModule: "dri2"
[    10.664] (II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
[    10.665] (II) Module dri2: vendor="X.Org Foundation"
[    10.665]    compiled for 1.12.4, module version = 1.2.0
[    10.665]    ABI class: X.Org Server Extension, version 6.0
[    10.665] (II) Loading extension DRI2
[    10.665] (II) LoadModule: "nvidia"
[    10.675] (II) Loading /usr/lib/xorg/modules/drivers/nvidia_drv.so
[    10.731] (II) Module nvidia: vendor="NVIDIA Corporation"
[    10.731]    compiled for 4.0.2, module version = 1.0.0
[    10.731]    Module class: X.Org Video Driver
[    10.758] (II) NVIDIA dlloader X Driver  304.51  Tue Sep 18 17:18:40 PDT 2012
[    10.758] (II) NVIDIA Unified Driver for all Supported NVIDIA GPUs
[    10.759] (++) using VT number 7

[    10.761] (EE) No devices detected.
[    10.761]
Fatal server error:
[    10.761] no screens found
[    10.761]

Please, help !

Offline

#2 2012-10-12 16:13:36

karol
Archivist
Registered: 2009-05-06
Posts: 25,432

Re: Help NVIDIA-Linux-x86_64-304.51 and GeForce GT 630M

Why aren't you using the nvidia package?
https://wiki.archlinux.org/index.php/Nvidia#Installing

Your setup looks like hybrid graphics (Intel+Nvidia) https://wiki.archlinux.org/index.php/Bumblebee

Last edited by karol (2012-10-12 16:14:44)

Offline

#3 2012-10-12 16:22:50

upmauro
Member
From: Brazil, MG, Uberlândia
Registered: 2011-10-02
Posts: 7
Website

Re: Help NVIDIA-Linux-x86_64-304.51 and GeForce GT 630M

I tried using the nvidia package repository, but in any case he did not find the driver.

Offline

#4 2012-10-12 16:25:58

karol
Archivist
Registered: 2009-05-06
Posts: 25,432

Re: Help NVIDIA-Linux-x86_64-304.51 and GeForce GT 630M

upmauro wrote:

I tried using the nvidia package repository, but in any case he did not find the driver.

The driver or the device/screen?

[    10.761] (EE) No devices detected.
[    10.761]
Fatal server error:
[    10.761] no screens found

Have you tried https://wiki.archlinux.org/index.php/Bu … .2F_nvidia ?

Offline

#5 2012-10-14 06:21:23

harsha5500
Member
From: Bangalore
Registered: 2012-10-14
Posts: 2

Re: Help NVIDIA-Linux-x86_64-304.51 and GeForce GT 630M

Bump
I have the same problem on my new Asus K55VM. It has the same VGA list. This is NOT a optimus machine therefore Bumblebee will not work! I tried clean install of ARCH with the following combinations:

With UEFI
Without bumblebee and Intel drivers:
1. Nvidia 304.51-2
2. Nouveau

Without bumblebee and WITH Intel drivers:
1. Nvidia 304.51-2
2. Nouveau

With Bumblebee and with intel drivers:
1. Nvidia 304.51-2
2. Nouveau

Without UEFI

Without bumblebee and Intel drivers:
1. Nvidia 304.51-2
2. Nouveau

Without bumblebee and WITH Intel drivers:
1. Nvidia 304.51-2
2. Nouveau

With Bumblebee and with intel drivers:
1. Nvidia 304.51-2
2. Nouveau

It took me 3 days and lots of re-install efforts to try all possible combinations. In every instance the error message from Xorg.log was "no devices found". I even tried manually adding the devices into the "Xorg.conf.d" but it did not work (the devices are not detected by the modules/drivers). I had to give up on Arch (painful) completely after I started getting flack from my team for delaying installation for long. I am currently using Kubuntu 12.04 (working with the Intel. Does not recognize the Nvidia driver yet and i am nervous to turn on the driver. Ubuntu too has similar problems and is using a new custom script to get around this problem). But following Arch news closely to see if someone posts stable solution.

Recently I found this from the ArchWiki on hypbrid graphics: "asus-switchroo" as the most close solution . Check the wiki for more solutions. These are really new solutions which I cannot test on my live laptop myself till there is a significant vacation time and I can nuke kubuntu again. If someone tests this please post the results. I can't wait to install Arch again.

I am sorry for not posting the links to the sites I found as I am new to the forum and do not know the rules yet. I will follow up with info if anyone is interested. I can even post the configs on the kubuntu system if it helps. I just wanted to point out that a standard method of approach to this problem has not worked so far for me. Need help from someone more skilled.

A final note. I tried downgrading the driver but stopped. the GT630M is a kepler card and is not supported in the older nvidia drivers (devil and deep blue sea). One cannot go below 304 versions.

Last edited by harsha5500 (2012-10-14 06:29:55)

Offline

#6 2012-10-31 08:45:08

harsha5500
Member
From: Bangalore
Registered: 2012-10-14
Posts: 2

Re: Help NVIDIA-Linux-x86_64-304.51 and GeForce GT 630M

I managed to fix it! I am finally running ARCH. I followed the instructions here: http://www.pavanky.com/archlinux-cuda-o … ge-kepler/ . I guess it worked because I used the latest arch linux build image (October version) which had the latest kernel image.

I am currently running kernel : 3.6.3-1  and Nvidia bumblebee 304.60 and the xf86-input-intel drivers.

I have removed the efi partation completely and am using the good old MBR and grub. (I managed this by disabling efi in the BIOS as well as using the 'z' option when running gdisk)

Last edited by harsha5500 (2012-10-31 08:46:48)

Offline

#7 2012-11-04 13:13:49

vae77
Member
Registered: 2010-07-02
Posts: 74
Website

Re: Help NVIDIA-Linux-x86_64-304.51 and GeForce GT 630M

Just to point out.

All my problems with this seems to be solved after I installed the intel driver:
xf86-video-intel intel-dri

჻ lspci -vnn | grep '\''[030[02]\]'
00:02.0 VGA compatible controller [0300]: Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] (rev 09) (prog-if 00 [VGA controller])
01:00.0 3D controller [0302]: NVIDIA Corporation Device [10de:1140] (rev a1)

჻ uname -a
Linux archlinux 3.6.5-1-ARCH #1 SMP PREEMPT Wed Oct 31 20:57:39 CET 2012 x86_64 GNU/Linux

Offline

Board footer

Powered by FluxBB